QT4_DialogBox Class Reference

`#include <qt4dialogbox.hpp>`

Inheritance diagram for QT4_DialogBox:

## Public Slots

void | slotActivated ()
void | slotValueChanged ()

## Public Member Functions

void | accept ()
void | closeEvent (QCloseEvent *e)
int | cont ()
| QT4_DialogBox (QT4_GuiDialog *dialog, QWidget *parent=0, bool modal=FALSE, Qt::WindowFlags f=0)
void | reject ()
void | unlinkFromDialog ()
virtual | ~QT4_DialogBox ()

## Protected Attributes

QT4_GuiDialog * | _dialog

## Detailed Description

Definition at line 20 of file qt4dialogbox.hpp.

## Constructor & Destructor Documentation

## QT4_DialogBox()

QT4_DialogBox | ( | QT4_GuiDialog * | dialog,
|  | QWidget * | parent = 0,
|  | bool | modal = FALSE,
|  | Qt::WindowFlags | f = 0 )

## ~QT4_DialogBox()

virtual ~QT4_DialogBox | ( |  | ) |

virtual

## Member Function Documentation

## accept()

void accept | ( |  | ) |

## closeEvent()

void closeEvent | ( | QCloseEvent * | e | ) |

## cont()

int cont | ( |  | ) |

## reject()

void reject | ( |  | ) |

## slotActivated

void slotActivated | ( |  | ) |

slot

## slotValueChanged

void slotValueChanged | ( |  | ) |

slot

## unlinkFromDialog()

void unlinkFromDialog | ( |  | ) |

## Field Documentation

## _dialog

QT4_GuiDialog* _dialog

protected

Definition at line 40 of file qt4dialogbox.hpp.

The documentation for this class was generated from the following file:

- qt4dialogbox.hpp